MappingCharFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.MappingCharFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class MappingCharFilter

    java.lang.Object
      java.io.Reader
          org.apache.lucene.analysis.CharStream
              org.apache.lucene.analysis.CharFilter
                  org.apache.lucene.analysis.BaseCharFilter
                      org.apache.lucene.analysis.MappingCharFilter

All Implemented Interfaces:
  Closeable, Readable

    public class MappingCharFilter

extends BaseCharFilter

Simplistic `CharFilter` that applies the mappings contained in a `NormalizeCharMap` to the character stream, and correcting the resulting changes to the offsets.

Field Summary

Fields inherited from class org.apache.lucene.analysis.CharFilter
`input`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`MappingCharFilter(NormalizeCharMap normMap, CharStream in)` Default constructor that takes a `CharStream`.
`MappingCharFilter(NormalizeCharMap normMap, Reader in)` Easy-use constructor that takes a `Reader`.

Method Summary
`int` | `read()`
`int` | `read(char[] cbuf, int off, int len)`

Methods inherited from class org.apache.lucene.analysis.BaseCharFilter
`addOffCorrectMap, correct, getLastCumulativeDiff`

Methods inherited from class org.apache.lucene.analysis.CharFilter
`close, correctOffset, mark, markSupported, reset`

Methods inherited from class java.io.Reader
`read, read, ready, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingCharFilter

    public MappingCharFilter(NormalizeCharMap normMap,
                             CharStream in)

  Default constructor that takes a `CharStream`.

### MappingCharFilter

    public MappingCharFilter(NormalizeCharMap normMap,
                             Reader in)

  Easy-use constructor that takes a `Reader`.

Method Detail

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `CharFilter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD